// JavaScript Document /JuuluuApp/javascript/juuluu.js
//alert("OK");
//窗口
function juuluu_ui_closewindow(){
	window.close();
	
	return false;
	
}

//窗口对象
function JuuluuWindowConfig(){
		 this. width="500";
		  this.  height="600";
		  this.  url="http://localhost:8080/com/goosaa/templete/Window.html";
		 this.  title="新建窗口";
		   this.  instance='newwindow';
		 
		 this.show=function (){
		 	alert(width);
		 };
	}
	
	
	
	
	function juuluu_openWindow(windowConfig){	
	//alert(windowConfig.width);
		
	var params="height="+windowConfig.height+",width="+windowConfig.width+",top=0,left=0,toolbar=no,menubar=no,scrollbars=no,resizable=no,location=no,status=no";
	
	window.open(windowConfig.url,windowConfig.instance,params);


	
	return false;
	
}

//消息对话框
function juuluu_ui_closeMsgDialog(msgdialgId){
var d=	document.getElementById(msgdialgId);
	if(d!=null){
		d.style.display="none";
	}
	return false;
}

function juuluu_ui_ShowMsgDialog(msgdialgId){
var d=	document.getElementById(msgdialgId);
	if(d!=null){
		d.style.display="block";
	}
	return false;
}


function juuluu_ui_ShowMessages(msgdialgId,msgTitle,MsgContent){
var d=	document.getElementById(msgdialgId);
	if(d!=null){
		d.style.display="block";
	}
	return false;
}


//显示消息
function juuluu_ui_ShowSystemMessages2(msgdialgId,MsgContent){
	
	var d=	document.getElementById(msgdialgId);
	//alert(d);

	//消息内容框
	var msgContentBox=msgdialgId + "_content";
	//alert("msg: "+msgContentBox + "  c ： " + MsgContent);
		if(msgContentBox!=null){
		
			var content=	document.getElementById(msgContentBox);
			//msgBox_sys1_content
			//var content =	document.getElementById("msgBox_sys1_content");
			
				//alert(content);
				//alert(MsgContent);				//
				if(content!=null){
					content.innerHTML=MsgContent;				
					
				}else{
					alert("找不到消息内容区："+content);
				}
				
		}else{
				
			//var msg="错误，找不到消息对话框内容区，ID"+msgContentBox;
			//	alert(msg);
		}
		
	if(d!=null){
		d.style.display="block";
	}else{
		alert("错误，找不到对话框："+msgdialgId);
	}
	
	
	return false;
}

